% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MappingUtilities.R
\name{Add_Marked_Points}
\alias{Add_Marked_Points}
\title{Add marked points}
\usage{
Add_Marked_Points(markedPointData, quantity, legendtitle, values,
  isColorContinuous = TRUE, colors = grDevices::terrain.colors(12),
  shape = 15, size = 1, ...)
}
\arguments{
\item{markedPointData}{R-language dataframe containing the point locations and the quantity
that is plotted. Columns "long" and "lat" list, respectively,
the longitude and latitude of points.}

\item{quantity}{Character string with the name of the quantity that is plotted. It
must be the name of a column in markedPointData.}

\item{legendtitle}{Character string with the legend title.}

\item{values}{R-valued vector containing the quantity values that are associated with the
color palette. This argument is used to scale the palette, which may improve
the format of the map.}

\item{isColorContinuous}{Logical indicator specifying whether the color scale for the marked points is
continuous. See Wickham (2016, p. 134-140)}

\item{colors}{Color palette used to plot the points.}

\item{shape}{The plot symbol used for the points.}

\item{size}{The size of the plot symbol.}

\item{...}{Additional arguments to ggplot2 function scale_colour_gradientn.}
}
\value{
A list comprising ggplot objects of types geom_point and either
scale_colour_gradientn or labs.
}
\description{
Add marked points to a base map.
}
\references{
Wickham, H., 2016, ggplot2-Elegant graphics for data analysis: Springer
International Publishing.
}
